Subject: RE: gcc - no messages re unresolved symbols
From: "Richard Stanton" <[email-masked]>
To: "Andre Oliveira da Costa" <[email-masked]>
Cc: "Cygwin Mailing List" <[email-masked]>
Date: Thu, 24 Feb 2000 07:23:35 -0800

Thanks, Andre.

What seems very strange is that it all works fine on my W95 laptop, which as
far as I know has the identical cygwin/gcc setup.

Regards,

Richard Stanton
Associate Professor of Finance
Haas School of Business
U.C. Berkeley
545 Student Services Building #1900
Berkeley, CA 94720-1900

tel. (510) 642-7382
fax. (510) 643-1420
email: [email-masked]
Web: http://haas.berkeley.edu/~stanton

> -----Original Message-----
> From: Andre Oliveira da Costa [mailto:[email-masked]]
> Sent: Thursday, February 24, 2000 8:04 AM
> To: Richard Stanton; [email-masked]
> Subject: RE: gcc - no messages re unresolved symbols
>
>
> Hi Richard,
>
> this matter was discussed on the list some time ago. Apparently there's a
> problem with collect2.exe that makes it swallow any error output from the
> linker and don't send it back to stderr. I had this same problem, and the
> gurus gave me a couple of suggestions:
>
> [1] rename collect2.exe to something else (e.g. _ collect2.exe) - OR -
> [2] edit the specs file of gcc and change the line that refers to collect2
> so that it refers to ld directly
>
> I went for option [2]. I'm not fully aware of the consequences of that
> (performance loss, maybe?), but seemed more like TheRightThing (TM) to do.
> Anyway, things are working ok for me now. My installation is a snapshot of
> 19991123, so there might be a chance that this has already been fixed on
> recent snapshots. Can anybody confirm that?
>
> (OBS.: collect2.exe and the specs file are on
> /cygnus/cygwin-b20/H-i586-cygwin32/lib/gcc-lib/i586-cygwin32/2.95.2 on my
> system)
>
> HTH.
>
> Regards,
>
> Andre
> --
> André Oliveira da Costa
> ([email-masked])
>
>
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Richard Stanton
> > Sent: Wednesday, February 23, 2000 9:47 PM
> > To: [email-masked]
> > Subject: gcc - no messages re unresolved symbols
> >
> >
> > I'm having an odd problem with gcc (cygwin version 2.95) on my
> NT machine.
> > If I compile/link a program that has some unresolved symbols, the linker
> > doesn't tell me about them, which makes tracking them down more than a
> > little hard...
> >
> > For example, here's what happens when I compile a program that
> > has a missing
> > main():
> >
> > [c:\miscprog]gcc -o amput amput.c
> > collect2: ld returned 1 exit status
> >
> > For comparison, here's what happens when I do the same thing on a unix
> > (SunOS 5.6) machine:
> >
> > socrates% gcc -o ttt amput.c -lm
> > Undefined                       first referenced
> >  symbol                             in file
> > main
> > /usr/local/egcs-1.1.2/lib/gcc-lib/sparc-su
> > solaris2.6/egcs-2.91.66/crt1.o
> > ld: fatal: Symbol referencing errors. No output written to ttt
> > collect2: ld returned 1 exit status
> > socrates%
> >
> > Any idea what's wrong? I'm pretty sure this used to work at one point.
> >
> > Thanks a lot for any suggestions.
> >
> > Richard Stanton
> >
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> >
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]